import React, { Component } from "react";

export default class DialogConfirm extends Component {
    confirm() {
        this.props.proceed();
        this.props.closeModal();
    }
    render() {
        return (
            <div className='DialogConfirm Dialog'>
                <div className='Dialog__Content'>
                    <div className='Dialog__Title'>
                        Confirmar envío de formulario
                    </div>
                    <div className='Dialog__Body'>
                        <span>¿Los datos ingresados son correctos?</span>
                    </div>
                    <div className='Dialog__Footer'>
                        <div
                            className='Button Button__secondary'
                            onClick={() => this.props.closeModal()}>
                            Cancelar
                        </div>
                        <div
                            className='Button Button__primary'
                            onClick={() => this.confirm()}>
                            Guardar
                        </div>
                    </div>
                </div>
            </div>
        );
    }
}
